# 根据代码的需要，将一种数据类型转换另一种数据类型(将 input 输入得到的数字转换为整型)
# 语法:

# 变量 =要转换为的类型(原数据)
# 1.数据原来是什么类型
# 2.你要转换为什么类型

# 注意点:数据类型转换，不会改变原来的数据的类型，会生成一个新的数据类型

# 将 input 输入得到的数字转换为整型
age = input('请输入你的年龄:')
print('age 本来的类型', type(age)) #age 本来的类型 <class 'str'>

# 类型转换
age1 = int(age)
print('转换后 age的类型', type(age)) #转换后 age的类型 <class 'str'>
print('转换后 age1的类型:', type(age1)) #转换后 age1的类型: <class 'int'>

# int()将其他类型转换为int 类型
# 1.可以将 f1oat(小数）类型的数字转换为 整型
# 2.可以将 整数美型的字符串 转换为 整型

# float()将其他类型转换为 浮点型
# 1.可以将 int 类型转换为 浮点型 float(3)--->3.0
float(3)
# 2.可以将 数字类型的字符串(整数类型和小数类型)转换为 浮点型
float('3.1415926')

# str()将其他类型转换为 字符串类型
# 任何类型都可以使用 str()将其转换为字符串，一般都是直接加上引号